
Foreman - Bug #4668

(nightlies 3-14-14) a system not provisioned via foreman but registered appears as "any org" host

and cannot be moved

03/14/2014 06:11 PM - Erik Jacobs

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman-1.5.0-0.develop.201403140734git8592cd2.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403140734git8592cd2.el6.noarch

foreman-proxy-1.5.0-0.develop.201402201704gita25e7b9.el6.noarch

foreman-release-1.5.0-0.develop.201403140734git8592cd2.el6.noarch

katello-1.5.0-14.201403140732git6efd20e.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403140732git6efd20e.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.el6.noarch

rubygem-katello_api-0.0.8-1.el6.noarch

It appears that once you register a system and then bring it in to puppet (puppet agent --test after configuring

/etc/puppet/puppet.conf), it will land in the "any organization" context.

There appears to be no way to move the system into an organization / the correct organization.

Related issues:

Is duplicate of Foreman - Bug #3214: No location / Organization if host added... Closed 10/08/2013

History

#1 - 03/21/2014 04:08 PM - Erik Jacobs

- File Screenshot from 2014-03-21 12_08_02.png added

Well, this is a little more interesting. Despite actually living in the "Any Context" organization in terms of being listed under "All Hosts", the actual

system details page shows the correct organization.  See screenshot.

#2 - 03/21/2014 07:11 PM - Justin Sherrill

- Project changed from Katello to Foreman

Appears to be a foreman issue as the host cannot be assigned to an org after it is created is appears.

#3 - 03/21/2014 09:35 PM - Ohad Levy

Justin Sherrill wrote:

Appears to be a foreman issue as the host cannot be assigned to an org after it is created is appears.
 You can change an org or location using the multiple actions checkboxes.

Changing the org and keeping the form in sync was a lot of trouble we preferred to avoid for the time being

#4 - 03/24/2014 08:13 AM - Dominic Cleal

- Is duplicate of Bug #3214: No location / Organization if host added by default from puppet run added

#5 - 03/24/2014 08:13 AM - Dominic Cleal

- Status changed from New to Duplicate

Files

Screenshot from 2014-03-21 12_08_02.png 270 KB 03/21/2014 Erik Jacobs
